dht::Socket Struct Reference

## Public Member Functions

| Socket (SocketCb &&on_receive)

## Public Attributes

SocketCb | on_receive {}

## Detailed Description

Definition at line 40 of file node.h.

## Constructor & Destructor Documentation

## Socket() [1/2]

dht::Socket::Socket | ( |  | ) |

inline

Definition at line 41 of file node.h.

## Socket() [2/2]

dht::Socket::Socket | ( | SocketCb && | on_receive | ) |

inline

Definition at line 42 of file node.h.

## Member Data Documentation

## on_receive

SocketCb dht::Socket::on_receive {}

Definition at line 44 of file node.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/node.h